﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class OSCcontrol : MonoBehaviour
{
    OSC osc;

    public Spheres[] sph;

    noteplayer np;

    private void Awake()
    {
        osc = GameObject.Find("OSC").GetComponent<OSC>();
        np = GameObject.Find("noteplayer").GetComponent<noteplayer>();
    }

    // Start is called before the first frame update
    void Start()
    {
        osc.SetAddressHandler("/keyval", getKey);
    }

    void getKey(OscMessage message)
    {
        int index = message.GetInt(0) - 60;

        if (index < 0) index = 0;
        if (index > 12) index = 12;

        sph[index].sphereHop();

        np.playnote(index + 60);      
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
