﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class noteplayer : MonoBehaviour
{

    int objno = 0;
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        RTcmix.SendScore("ampenv = maketable(\"line\", 1000, 0,1, 0.9,1, 1,0)", objno);

        did_start = true;
    }

    public void playnote(int midinote) {
        // MBANDEDWG(outsk, dur, AMP, FREQ, strikepos, pluckflag, maxvel, preset, BOWPRESSURE, RESONANCE, INTEGRATION[, PAN, VELOCITYENV])
        RTcmix.SendScore("MBANDEDWG(0, 3.0, 5000*ampenv, cpsmidi(" + midinote + "), 0.5, 1, 1.0, 2, 0.0, 0.99, 0, 0.5, 1)", objno);
    }


    // Update is called once per frame
    void Update()
    {
    }


    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0);
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
